package com.bignerdranch.nyethack
import Player
import Room
import TownSquare

fun main() {
    println(currentRoom.description())
    println(currentRoom.load())

    // Состояние игрока
    printPlayerStatus(player)
    Game.play()
}

object Game {
    private val player = Player("Madrigal")
    private var currentRoom: Room = TownSquare()
    init {
        println("Welcome, adventurer.")
    }
    fun play() {
        while (true) {
            // Игровой процесс NyetHack
        }
    }
    private fun printPlayerStatus(player: Player) {
        println("(Aura: ${player.auraColor()}) " +
                "(Blessed: ${if (player.isBlessed) "YES" else "NO"})")
        println("${player.name} ${player.formatHealthStatus()}")
    }
}

